Xalan-Java 2.7.1: Class NodeSortRecordFactGenerator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.compiler.util
Class NodeSortRecordFactGenerator

    java.lang.Object
      |
      +--org.apache.bcel.classfile.AccessFlags
            |
            +--org.apache.bcel.generic.ClassGen
                  |
                  +--org.apache.xalan.xsltc.compiler.util.ClassGenerator
                        |
                        +--org.apache.xalan.xsltc.compiler.util.NodeSortRecordFactGenerator

public final class NodeSortRecordFactGenerator
extends ClassGenerator

Generator for subclasses of NodeSortRecordFactory.

Constructor Summary
`NodeSortRecordFactGenerator(java.lang.String className, java.lang.String superClassName, java.lang.String fileName, int accessFlags, java.lang.String[] interfaces, Stylesheet stylesheet)`

Method Summary
`boolean` | `isExternal()` Returns `true` since this class is external to the translet.

Methods inherited from class org.apache.xalan.xsltc.compiler.util.ClassGenerator
`addMethod, getApplyTemplatesSig, getApplyTemplatesSigForImport, getClassName, getDOMClass, getDOMClassSig, getParser, getStylesheet, loadTranslet`

Methods inherited from class org.apache.bcel.generic.ClassGen
`addAttribute, addEmptyConstructor, addField, addInterface, addMethod, addObserver, clone, containsField, containsField, containsMethod, getAttributes, getClassNameIndex, getConstantPool, getFields, getFileName, getInterfaceNames, getInterfaces, getJavaClass, getMajor, getMethodAt, getMethods, getMinor, getSuperclassName, getSuperclassNameIndex, removeAttribute, removeField, removeInterface, removeMethod, removeObserver, replaceField, replaceMethod, setClassName, setClassNameIndex, setConstantPool, setMajor, setMethodAt, setMethods, setMinor, setSuperclassName, setSuperclassNameIndex, update`

Methods inherited from class org.apache.bcel.classfile.AccessFlags
`getAccessFlags, isAbstract, isAbstract, isFinal, isFinal, isInterface, isInterface, isNative, isNative, isPrivate, isPrivate, isProtected, isProtected, isPublic, isPublic, isStatic, isStatic, isStrictfp, isStrictfp, isSynchronized, isSynchronized, isTransient, isTransient, isVolatile, isVolatile, setAccessFlags`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeSortRecordFactGenerator

    public NodeSortRecordFactGenerator(java.lang.String className,
                                       java.lang.String superClassName,
                                       java.lang.String fileName,
                                       int accessFlags,
                                       java.lang.String[] interfaces,
                                       Stylesheet stylesheet)

Method Detail

### isExternal

    public boolean isExternal()

  Returns `true` since this class is external to the translet.
  Overrides:
    isExternal in class ClassGenerator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.